# cloudsync.credentials.update

Update Cloud Sync Credentials of id.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

##### Parameter 2: cloud_sync_credentials_update

#### cloud_sync_credentials_update

Type: object
No Additional Properties

##

#### Name

Type: string

Must be at least `1` characters long

##

#### Provider

## One of

#### AzureBlobCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"AZUREBLOB"`

##

#### Account

Type: string

Must be at least `1` characters long

##

#### Key

Type: string

Must be at least `1` characters long

##

#### Endpoint

Default: ""

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### B2CredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"B2"`

##

#### Account

Type: string

Must be at least `1` characters long

##

#### Key

Type: string

Must be at least `1` characters long

#### BoxCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"BOX"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

#### DropboxCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"DROPBOX"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

#### FTPCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"FTP"`

##

#### Host

Type: string

Must be at least `1` characters long

##

#### Port

Type: integer Default: 21

##

#### User

Type: string

Must be at least `1` characters long

##

#### Pass

Type: string

#### GoogleCloudStorageCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"GOOGLE_CLOUD_STORAGE"`

##

#### Service Account Credentials

Type: string

Must be at least `1` characters long

#### GoogleDriveCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"GOOGLE_DRIVE"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

##

#### Team Drive

Type: string Default: ""

#### GooglePhotosCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"GOOGLE_PHOTOS"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

#### HTTPCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"HTTP"`

##

#### Url

Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### HubicCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"HUBIC"`

##

#### Token

Type: string

Must be at least `1` characters long

#### OneDriveCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"ONEDRIVE"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

##

#### Drive Type

Type: enum (of string)

##### Must be one of:

- "PERSONAL"
- "BUSINESS"
- "DOCUMENT_LIBRARY"

##

#### Drive Id

Type: string

#### PCloudCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"PCLOUD"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

##

#### Hostname

Type: string Default: ""

#### S3CredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"S3"`

##

#### Access Key Id

Type: string

Must be at least `1` characters long

##

#### Secret Access Key

Type: string

Must be at least `1` characters long

##

#### Endpoint

Default: ""

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

##

#### Region

Type: string Default: ""

##

#### Skip Region

Type: boolean Default: false

##

#### Signatures V2

Type: boolean Default: false

##

#### Max Upload Parts

Type: integer Default: 10000

#### SFTPCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"SFTP"`

##

#### Host

Type: string

Must be at least `1` characters long

##

#### Port

Type: integer Default: 22

##

#### User

Type: string

Must be at least `1` characters long

##

#### Pass

Default: null

## Any of

Type: string
Type: null

##

#### Private Key

Default: null

## Any of

Type: integer
Type: null

#### StorjIxCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"STORJ_IX"`

##

#### Access Key Id

Type: string

Must be at least `1` characters long

##

#### Secret Access Key

Type: string

Must be at least `1` characters long

##

#### Endpoint

Type: string Format: uri Default: "https://gateway.storjshare.io/"

Must be at least `1` characters long

Must be at most `2083` characters long

#### SwiftCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"OPENSTACK_SWIFT"`

##

#### User

Type: string

Must be at least `1` characters long

##

#### Key

Type: string

Must be at least `1` characters long

##

#### Auth

Type: string

Must be at least `1` characters long

##

#### User Id

Type: string Default: ""

##

#### Domain

Type: string Default: ""

##

#### Tenant

Type: string Default: ""

##

#### Tenant Id

Type: string Default: ""

##

#### Tenant Domain

Type: string Default: ""

##

#### Region

Type: string Default: ""

##

#### Storage Url

Type: string Default: ""

##

#### Auth Token

Type: string Default: ""

##

#### Application Credential Id

Type: string Default: ""

##

#### Application Credential Name

Type: string Default: ""

##

#### Application Credential Secret

Type: string Default: ""

##

#### Auth Version

## Any of

Type: enum (of integer)

##### Must be one of:

- 0
- 1
- 2
- 3

Type: null

##

#### Endpoint Type

## Any of

Type: enum (of string)

##### Must be one of:

- "public"
- "internal"
- "admin"

Type: null

#### WebDavCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"WEBDAV"`

##

#### Url

Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

##

#### Vendor

Type: enum (of string)

##### Must be one of:

- "NEXTCLOUD"
- "OWNCLOUD"
- "SHAREPOINT"
- "OTHER"

##

#### User

Type: string

##

#### Pass

Type: string

#### YandexCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"YANDEX"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

##

#### CredentialsEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Name

Type: string

Must be at least `1` characters long

##

#### Provider

## One of

#### AzureBlobCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"AZUREBLOB"`

##

#### Account

Type: string

Must be at least `1` characters long

##

#### Key

Type: string

Must be at least `1` characters long

##

#### Endpoint

Default: ""

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### B2CredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"B2"`

##

#### Account

Type: string

Must be at least `1` characters long

##

#### Key

Type: string

Must be at least `1` characters long

#### BoxCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"BOX"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

#### DropboxCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"DROPBOX"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

#### FTPCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"FTP"`

##

#### Host

Type: string

Must be at least `1` characters long

##

#### Port

Type: integer Default: 21

##

#### User

Type: string

Must be at least `1` characters long

##

#### Pass

Type: string

#### GoogleCloudStorageCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"GOOGLE_CLOUD_STORAGE"`

##

#### Service Account Credentials

Type: string

Must be at least `1` characters long

#### GoogleDriveCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"GOOGLE_DRIVE"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

##

#### Team Drive

Type: string Default: ""

#### GooglePhotosCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"GOOGLE_PHOTOS"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

#### HTTPCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"HTTP"`

##

#### Url

Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### HubicCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"HUBIC"`

##

#### Token

Type: string

Must be at least `1` characters long

#### OneDriveCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"ONEDRIVE"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

##

#### Drive Type

Type: enum (of string)

##### Must be one of:

- "PERSONAL"
- "BUSINESS"
- "DOCUMENT_LIBRARY"

##

#### Drive Id

Type: string

#### PCloudCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"PCLOUD"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

##

#### Hostname

Type: string Default: ""

#### S3CredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"S3"`

##

#### Access Key Id

Type: string

Must be at least `1` characters long

##

#### Secret Access Key

Type: string

Must be at least `1` characters long

##

#### Endpoint

Default: ""

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

##

#### Region

Type: string Default: ""

##

#### Skip Region

Type: boolean Default: false

##

#### Signatures V2

Type: boolean Default: false

##

#### Max Upload Parts

Type: integer Default: 10000

#### SFTPCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"SFTP"`

##

#### Host

Type: string

Must be at least `1` characters long

##

#### Port

Type: integer Default: 22

##

#### User

Type: string

Must be at least `1` characters long

##

#### Pass

Default: null

## Any of

Type: string
Type: null

##

#### Private Key

Default: null

## Any of

Type: integer
Type: null

#### StorjIxCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"STORJ_IX"`

##

#### Access Key Id

Type: string

Must be at least `1` characters long

##

#### Secret Access Key

Type: string

Must be at least `1` characters long

##

#### Endpoint

Type: string Format: uri Default: "https://gateway.storjshare.io/"

Must be at least `1` characters long

Must be at most `2083` characters long

#### SwiftCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"OPENSTACK_SWIFT"`

##

#### User

Type: string

Must be at least `1` characters long

##

#### Key

Type: string

Must be at least `1` characters long

##

#### Auth

Type: string

Must be at least `1` characters long

##

#### User Id

Type: string Default: ""

##

#### Domain

Type: string Default: ""

##

#### Tenant

Type: string Default: ""

##

#### Tenant Id

Type: string Default: ""

##

#### Tenant Domain

Type: string Default: ""

##

#### Region

Type: string Default: ""

##

#### Storage Url

Type: string Default: ""

##

#### Auth Token

Type: string Default: ""

##

#### Application Credential Id

Type: string Default: ""

##

#### Application Credential Name

Type: string Default: ""

##

#### Application Credential Secret

Type: string Default: ""

##

#### Auth Version

## Any of

Type: enum (of integer)

##### Must be one of:

- 0
- 1
- 2
- 3

Type: null

##

#### Endpoint Type

## Any of

Type: enum (of string)

##### Must be one of:

- "public"
- "internal"
- "admin"

Type: null

#### WebDavCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"WEBDAV"`

##

#### Url

Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

##

#### Vendor

Type: enum (of string)

##### Must be one of:

- "NEXTCLOUD"
- "OWNCLOUD"
- "SHAREPOINT"
- "OTHER"

##

#### User

Type: string

##

#### Pass

Type: string

#### YandexCredentialsModel

Type: object
No Additional Properties

##

#### Type

Type: const
Specific value: `"YANDEX"`

##

#### Client Id

Type: string Default: ""

##

#### Client Secret

Type: string Default: ""

##

#### Token

Type: string

Must be at least `1` characters long

Required roles: CLOUD_SYNC_WRITE